Module | Sequel::MySQL::Dataset::CallableStatementMethods
In: | lib/sequel/adapters/mysql.rb

Methods to add to MySQL prepared statement calls without using a real database prepared statement and bound variables.

### Methods

subselect_sql

### Public Instance methods

subselect_sql(ds)

Extend given dataset with this module so subselects inside subselects in prepared statements work.

[Source]

         # File lib/sequel/adapters/mysql.rb, line 241
    241:         def subselect_sql(ds)
    242:           ps = ds.to_prepared_statement(:select)
    243:           ps.extend(CallableStatementMethods)
    244:           ps.prepared_args = prepared_args
    245:           ps.prepared_sql
    246:         end

[Validate]